ContextList (Java Platform SE 8 )
Keywords: org.omg.CORBA.ContextList class
Date: 2020-03-26

org.omg.CORBA

## Class ContextList

- java.lang.Object
- - org.omg.CORBA.ContextList

-     public abstract class ContextList
      extends Object

  An object containing a modifiable list of `String` objects that represent property names. This class is used in `Request` operations to describe the contexts that need to be resolved and sent with the invocation. (A context is resolved by giving a property name and getting back the value associated with it.) This is done by calling the `Context` method `get_values` and supplying a string from a `ContextList` object as the third parameter. The method `get_values` returns an `NVList` object containing the `NamedValue` objects that hold the value(s) identified by the given string.

  A `ContextList` object is created by the ORB, as illustrated here:

         ORB orb = ORB.init(args, null);
         org.omg.CORBA.ContextList ctxList = orb.create_context_list();

  The variable `ctxList` represents an empty `ContextList` object. Strings are added to the list with the method `add`, accessed with the method `item`, and removed with the method `remove`.
  Since:
    JDK1.2
  See Also:
    `Context`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextList()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(String ctx)` Adds a `String` object to this `ContextList` object.
    `abstract int` | `count()` Returns the number of `String` objects in this `ContextList` object.
    `abstract String` | `item(int index)` Returns the `String` object at the given index.
    `abstract void` | `remove(int index)` Removes the `String` object at the given index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextList

          public ContextList()

  - ### Method Detail

    - #### count

          public abstract int count()

      Returns the number of `String` objects in this `ContextList` object.
      Returns:
        an `int` representing the number of `String`s in this `ContextList` object

    - #### add

          public abstract void add(String ctx)

      Adds a `String` object to this `ContextList` object.
      Parameters:
        `ctx` - the `String` object to be added

    - #### item

          public abstract String item(int index)
                               throws Bounds

      Returns the `String` object at the given index.
      Parameters:
        `index` - the index of the string desired, with 0 being the index of the first string
      Returns:
        the string at the given index
      Throws:
        `Bounds` - if the index is greater than or equal to the number of strings in this `ContextList` object

    - #### remove

          public abstract void remove(int index)
                               throws Bounds

      Removes the `String` object at the given index. Note that the indices of all strings following the one removed are shifted down by one.
      Parameters:
        `index` - the index of the `String` object to be removed, with 0 designating the first string
      Throws:
        `Bounds` - if the index is greater than or equal to the number of `String` objects in this `ContextList` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.